Kerbal Space Program - Bug #6732

Kerbal subreddit animation has a memory abuse/leak issue.
01/19/2016 03:12 AM - adispezio

Status: Not a Bug Start date: 01/19/2016
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: Not Applicable Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

The subreddit animation has either a memory leak or is using a cpu-heavy approach to display the rotating earth (ie, lots of
unnecessary repaints in chrome). | realize there's a button to disable the animation but | believe you could achieve the same visual
effect without the need to overload the render engine. | have not done the work to figure out a solution but am confident | could find a
better approach (I do front-end work professionally). Happy to help if the team is interested.

Also, if this team does not run the subreddit, can you please direct me to the person/team in charge?

Thanks,
Anthony

History

#1 - 01/20/2016 09:16 PM - sal_vager
Hi Anthony.

The KSP subreddit is run by a 3rd party, and you can contact them via this form.

https://www.reddit.com/message/compose ?to=%2Fr%2FKerbalSpaceProgram

| hope this helps :)

#2 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 06/14/2019 10:32 PM - nestor

- Status changed from Needs Clarification to Not a Bug
